Skip to navigation

List Features

List Features

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

pageSizeintegerOptional0-100Defaults to 50
Number of results to return. Defaults to 50, maximum of 100.
nextTokenstringOptional
Token for pagination
namestringOptional
Name of a Feature. Restricts results to those with the specified name.
idsstringOptional

Comma-separated list of ids. Matches all of the provided IDs, or returns a 400 error that includes a list of which IDs are invalid.

names.anyOf.caseSensitivestringOptional

Comma-separated list of names. Maximum of 100. Restricts results to those that match any of the specified names.

featureLibraryIdstringOptional
Id of a Feature Library. Restricts results to those associated with the provided feature library
featureTypestringOptional

The type of feature, like gene, promoter, etc. Note: This is an arbitrary string, not an enum

matchTypeenumOptional

The match type of the feature used to determine how auto-annotate matches are made.

Allowed values:
returningstringOptional

Comma-separated list of fields to return. Modifies the output shape. To return all keys at a given level, enumerate them or use the wildcard, ’*’. For more information, click here.

Response headers

Result-Countinteger
The total number of items that match the given query
x-rate-limit-limitinteger

The number of allowed requests in the current rate-limit period

x-rate-limit-remaininginteger

The number of requests remaining in the current rate-limit period

x-rate-limit-resetinteger

The number of seconds remaining in the current rate-limit period

Response

OK
nextTokenstringOptional
featureslist of objectsOptional
List of features for the page

Errors

400
Bad Request Error